Returns upcoming minimum wage rates by effective date range
curl --request GET \
--url https://api.symmetry.com/prp/v1/minimumwage/rates/effective \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/prp/v1/minimumwage/rates/effective"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/prp/v1/minimumwage/rates/effective', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mwUid": "<string>",
"authority": "<string>",
"authorityCode": 123,
"authorityType": "<string>",
"authorityTypeCode": 123,
"details": "<string>",
"effectiveDate": "2023-12-25",
"industryType": "<string>",
"industryTypeCode": 123,
"inherits": "<string>",
"majorType": "<string>",
"minorType": "<string>",
"minorTypeCode": 123,
"note": "<string>",
"rate": 123,
"state": "<string>",
"stateCode": "<string>",
"updated": "2023-11-07T05:31:56Z"
}Returns upcoming minimum wage rates by effective date range
mwUid has to be a string in format stateCode-authorityType-authorityCode-majorType-industryTypeCode-minorTypeCode. Also wildcard ’*’ can be used and unspecified-rest is accepted as well. To specify an effective date range the ‘from’ and ‘to’ parameters must be set. The valid date format is yyyy-mm-dd. By default the ‘from’ date will be today’s date and the ‘to’ date will be unset providing all future rates
GET
/
v1
/
minimumwage
/
rates
/
effective
Returns upcoming minimum wage rates by effective date range
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK
Was this page helpful?

